[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.Loaded

Loaded calls inherited method then sets the ScrollBar and WordWrap properties

## Declaration

Source position: stdctrls.pp line 823

`protected procedure TCustomMemo.Loaded; override;`

## Description

Loaded calls inherited method then sets the ScrollBar and WordWrap properties

The Loaded method is called when a component has finished loading; the various ancestor classes copy properties from client and parent classes into the newly loaded component, and notify any child components of changes that have been made

## See also

TComponent.Loaded
TWinControl.Loaded |  | Loaded makes a number of checks, using client size if specified, and copying appropriate flags, fonts, text etc, makes list of child controls to notify them of any changes, then calls inherited Loaded

The latest version of this document can be found at lazarus-ccr.sourceforge.net.